| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
Stats::DirectionalData Class Reference
Algo

A circle of data. More...

`#include <statdirdata.h>`

Inheritance diagram for Stats::DirectionalData:
[legend]

## Classes
class | Setup

## Public Member Functions
| DirectionalData (const DirectionalData &)
| DirectionalData (int nrsectors=0, int nrparts=0)
| ~DirectionalData ()
float | angle (int isect, Angle::Type, int bound=0) const
| bound: -1=start, 1=stop, 0=center
float | angle (int isect, int bound=0) const
SectorPartData & | getPartData (int isect, int ipart)
const SectorPartData & | getPartData (int isect, int ipart) const
void | init (int nrsectors, int nrparts)
int | nrParts (int isect) const
int | nrSectors () const
DirectionalData & | operator= (const DirectionalData &)
int | part (int isect, float pos) const
int | sector (float ang) const
int | sector (float ang, Angle::Type) const
Public Member Functions inherited from ManagedObjectSet< SectorData >
| ManagedObjectSet ()
| ManagedObjectSet (const ManagedObjectSet &)=delete
| ManagedObjectSet (const ObjectSet< SectorData > &)
void | append (const ManagedObjectSet< SectorData > &)=delete
void | append (const ObjectSet< SectorData > &os) override
void | copy (const ObjectSet< SectorData > &os) override
ManagedObjectSet & | operator= (const ManagedObjectSet &)=delete
ManagedObjectSet< SectorData > & | operator= (const ObjectSet< SectorData > &os)
Public Member Functions inherited from ManagedObjectSetBase< T >
void | erase () override
bool | isManaged () const override
ManagedObjectSetBase< T > & | operator-= (T *) override
T * | pop () override
virtual T * | removeAndTake (idx_type, bool kporder=true)
void | removeRange (idx_type, idx_type) override
T * | removeSingle (idx_type, bool kporder=true) override
T * | replace (idx_type, T *) override
Public Member Functions inherited from ObjectSet< T >
| ObjectSet ()
| ObjectSet (const ObjectSet &)
| ObjectSet (T *)
| ObjectSet (T *, T *)
| ObjectSet (T *, T *, T *)
virtual | ~ObjectSet ()
ObjectSet & | add (T *t)
bool | addIfNew (T *)
void | allowNull (bool yn=true)
iterator | begin ()
const_iterator | begin () const
const_iterator | cbegin () const
const_iterator | cend () const
ObjectSet * | clone () const override
bool | empty () const
iterator | end ()
const_iterator | end () const
void | erase () override
T * | first ()
const T * | first () const
virtual T * | get (const T *) const
| check & unconst
virtual T * | get (idx_type)
virtual const T * | get (idx_type) const
virtual size_type | getCapacity () const
idx_type | getIdx (const_iterator it) const
idx_type | getIdx (iterator it) const
virtual idx_type | indexOf (const T *) const
virtual void | insertAfter (T *newptr, idx_type)
virtual void | insertAt (T *newptr, idx_type)
virtual bool | isPresent (const T *) const
T * | last ()
const T * | last () const
size_type | max_size () const
od_int64 | nrItems () const override
bool | nullAllowed () const
bool | operator!= (const ObjectSet &oth) const
ObjectSet & | operator+= (T *t)
ObjectSet & | operator= (const ObjectSet &)
bool | operator== (const ObjectSet &) const
const T * | operator[] (const T *t) const
T * | operator[] (idx_type i)
const T * | operator[] (idx_type i) const
void | plainErase ()
void | push (T *t)
void | reverse () override
virtual bool | setCapacity (size_type, bool withmargin)
| Allocates mem only, no size() change.
void | setNullAllowed (bool yn=true)
virtual bool | setSize (size_type)
size_type | size () const
void | swap (idx_type, idx_type)
void | swap (ObjectSet &oth)
void | swapItems (od_int64 i1, od_int64 i2) override
void | useIndexes (const idx_type *)
bool | validIdx (od_int64) const override
Public Member Functions inherited from OD::Set
virtual | ~Set ()
bool | isEmpty () const
void | setEmpty ()

## Public Attributes
Setup | setup_

## Additional Inherited Members
Public Types inherited from ManagedObjectSet< SectorData >
typedef ObjectSet< SectorData >::idx_type | idx_type
typedef ObjectSet< SectorData >::size_type | size_type
Public Types inherited from ManagedObjectSetBase< T >
typedef ObjectSet< T >::idx_type | idx_type
typedef ObjectSet< T >::size_type | size_type
Public Types inherited from ObjectSet< T >
typedef impl_type::const_iterator | const_iterator
typedef const value_type & | const_reference
typedef size_type | difference_type
typedef size_type | idx_type
typedef impl_type::iterator | iterator
typedef T | object_type
typedef value_type & | reference
typedef int | size_type
typedef T * | value_type
Static Public Member Functions inherited from OD::Set
static od_int32 | maxIdx32 ()
static od_int64 | maxIdx64 ()
Protected Types inherited from ManagedObjectSetBase< T >
typedef void(* | PtrFunc) (T *ptr)
Protected Types inherited from ObjectSet< T >
typedef VectorAccess< T *, size_type > | impl_type
Protected Member Functions inherited from ManagedObjectSetBase< T >
| ManagedObjectSetBase (PtrFunc delfunc)
| ~ManagedObjectSetBase ()
Protected Member Functions inherited from ObjectSet< T >
virtual ObjectSet & | doAdd (T *)
Protected Attributes inherited from ObjectSet< T >
bool | allow0_ = false
impl_type | vec_

## Detailed Description

A circle of data.

The circle is subdivided in sectors, which are subdivided in sector parts. The relative 'pos_' from the sector part can be scaled with usrposrg_ to get user positions.

Angles are implicit: we always expect 360 degrees of data.

<>

## Constructor & Destructor Documentation

## ◆ DirectionalData() [1/2]

Stats::DirectionalData::DirectionalData | ( | int | nrsectors = 0,
|  | int | nrparts = 0 )

## ◆ DirectionalData() [2/2]

Stats::DirectionalData::DirectionalData | ( | const DirectionalData & |  | ) |

## ◆ ~DirectionalData()

Stats::DirectionalData::~DirectionalData | ( |  | ) |

## Member Function Documentation

## ◆ angle() [1/2]

float Stats::DirectionalData::angle | ( | int | isect,
|  | Angle::Type | ,
|  | int | bound = 0 ) const

bound: -1=start, 1=stop, 0=center

## ◆ angle() [2/2]

float Stats::DirectionalData::angle | ( | int | isect,
|  | int | bound = 0 ) const

## ◆ getPartData() [1/2]

SectorPartData & Stats::DirectionalData::getPartData | ( | int | isect,
|  | int | ipart )
| inline

## ◆ getPartData() [2/2]

const SectorPartData & Stats::DirectionalData::getPartData | ( | int | isect,
|  | int | ipart ) const
| inline

## ◆ init()

void Stats::DirectionalData::init | ( | int | nrsectors,
|  | int | nrparts )

## ◆ nrParts()

int Stats::DirectionalData::nrParts | ( | int | isect | ) | const
| inline

## ◆ nrSectors()

int Stats::DirectionalData::nrSectors | ( |  | ) | const
| inline

## ◆ operator=()

DirectionalData & Stats::DirectionalData::operator= | ( | const DirectionalData & |  | ) |

## ◆ part()

int Stats::DirectionalData::part | ( | int | isect,
|  | float | pos ) const

## ◆ sector() [1/2]

int Stats::DirectionalData::sector | ( | float | ang | ) | const

## ◆ sector() [2/2]

int Stats::DirectionalData::sector | ( | float | ang,
|  | Angle::Type | ) const

## Member Data Documentation

## ◆ setup_

Setup Stats::DirectionalData::setup_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025